<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
?>
<html>
<head>
    <script src="../js/jstirilla.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
    <script src="js/JsBarcode.all.min.js"></script>
    
    <style type="text/css">
        body 
        {
            margin: 0;
            padding: 0;
        }
        #divid
        {
            font-family: Tahoma, Geneva, sans-serif;
            float: left;
            width: <?php echo $ancho; ?>mm;
            height:<?php echo $alto; ?>mm;
            margin-left:<?php echo $espacio; ?>mm;
            border: 0px solid #000000;
            word-break:break-all;
            text-align: center;
        }
    </style>
</head>

<body>
<?php 
if ($columnas==3) {
    

    $can1=mysqli_query($con,"SELECT *,LEFT(eti_nombre,50) as eti_nombre FROM etiquetas_temp WHERE  empresa='$empresa' and usuario='$usu_id' ") or die(mysqli_error($con));  
    while ($row=mysqli_fetch_array($can1))
    {
        $eti_art_id=$row["eti_art_id"];
        $eti_barras=$row["eti_barras"];
        $eti_cantidad=$row["eti_cantidad"];
        $eti_nombre=$row["eti_nombre"];
        $texto=$row["texto_adicional"];
        $tipo=$row["tipo"];

        $codbarra[]=(string)$row['eti_barras']; 

        $sql_tar=mysqli_query($con, "SELECT * from tarifas where tar_nombre='GENERAL' and empresa='$empresa'");
        $rw_tar=mysqli_fetch_array($sql_tar);
        $tar_id=$rw_tar['tar_id'];

        if ($tipo=='articulos') 
        {
            $sql_pre=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$eti_art_id' and tarifas_tar_id='$tar_id' and empresa='$empresa' ");
                $rw_pre= mysqli_fetch_array($sql_pre);
                $pre_precio=$rw_pre['pre_precio'];

        } else if ($tipo=='combos') 
        {
            $pre_precio2=0;
           $sql1=mysqli_query($con,"SELECT * FROM combos_articulos where combos_com_id='$eti_art_id'");
            while($row1=mysqli_fetch_array($sql1))
            {
                $coma_art_id=$row1['coma_art_id'];
                $coma_art_cantidad=$row1['coma_art_cantidad'];
                $coma_art_precio=$row1['coma_art_precio'];
                $art_pvp=$coma_art_precio*$coma_art_cantidad;
                
                $pre_precio2+=$art_pvp;//Sumador
            }  
        }

       /* $sql_pre=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$eti_art_id' and tarifas_tar_id='$tar_id' and empresa='$empresa' ");
        $rw_pre= mysqli_fetch_array($sql_pre);
        $pre_precio=$rw_pre['pre_precio'];*/
        if ($nombre_emp==null) {
           $sql_emp=mysqli_query($con, "SELECT *,LEFT(emp_nombre,22) as emp_nombre from empresa WHERE emp_id='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_emp);
            $emp_nombre=$rw_pre['emp_nombre']; 
        } else {
           $sql_emp=mysqli_query($con, "SELECT *,LEFT(nombre_emp,22) as nombre_emp from codigo_barras WHERE empresa='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_emp);
            $emp_nombre=$rw_pre['nombre_emp']; 
        }

        

         strlen($emp_nombre); // 6 
  
        $number = $eti_cantidad;  
        if($number > 0)  
        {  
            for($i=0; $i<$number; $i++)  
            {  ?>
                <div id="divid">
                    <?php if ($nombre=='si') { ?>
                    <div class="form-group">
                        <strong style="font-size:8px;padding-left: 0.5mm"><?php echo strtoupper($emp_nombre); ?> </strong>
                    </div>
                    <?php } else { ?>
                    <div class="form-group">
                        <strong style="font-size:8px;">&nbsp;</strong> 
                    </div> 
                    <?php } ?>
                     <div class="form-group">
                        <strong style="font-size:2px;">&nbsp;</strong> 
                    </div>
                    <div>
                        <strong style="font-size:7px;padding-left: 0.5mm;"> <?php echo $eti_nombre; ?> </strong>
                    </div>
                    <div style="padding-left:1mm;padding-right:1mm;padding-top:0.5mm;"> 
                        <svg id='<?php echo "barcode".str_replace(' ', '',$eti_barras); ?>'>
                    </div>
                    <div> 
                        <strong style="font-size:9px;"> <?php echo $eti_barras; ?> </strong> 
                    </div>
                    <?php if ($precio=='si') { ?>
                    <div>
                        <?php if ($tipo=='articulos') { ?>
                            <strong style="font-size:9px;"> $: <?php echo number_format($pre_precio,0); ?> </strong> 
                        <?php } else { ?>
                            <strong style="font-size:9px;"> $: <?php echo number_format($pre_precio2,0); ?> </strong> 
                        <?php } ?>
                    </div>
                    <?php } else { ?>
                    <div class="form-group">
                        <strong style="font-size:6px;">&nbsp;</strong> 
                    </div> 
                    <?php } ?>

                    <?php if ($texto_adicional=='si') { ?>
                    <div>
                        <strong style="font-size:9px;"><?php echo strtoupper($texto); ?> </strong>
                    </div>
                    <?php } ?>
                </div>
<?php       }     
        } 
    } 
}

else if ($columnas==2) 
{
    $can1=mysqli_query($con,"SELECT *,LEFT(eti_nombre,25) as eti_nombre FROM etiquetas_temp WHERE  empresa='$empresa' and usuario='$usu_id' ") or die(mysqli_error($con));  
    while ($row=mysqli_fetch_array($can1))
        {
        $eti_art_id=$row["eti_art_id"];
        $eti_barras=$row["eti_barras"];
        $eti_cantidad=$row["eti_cantidad"];
        $eti_nombre=$row["eti_nombre"];
        $texto=$row["texto_adicional"];
        $tipo=$row["tipo"];

          $codbarra[]=(string)$row['eti_barras']; 

        $sql_tar=mysqli_query($con, "SELECT * from tarifas where tar_nombre='GENERAL' and empresa='$empresa'");
        $rw_tar=mysqli_fetch_array($sql_tar);
        $tar_id=$rw_tar['tar_id'];

        if ($tipo=='articulos') 
        {
            $sql_pre=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$eti_art_id' and tarifas_tar_id='$tar_id' and empresa='$empresa' ");
                $rw_pre= mysqli_fetch_array($sql_pre);
                $pre_precio=$rw_pre['pre_precio'];

        } else if ($tipo=='combos') 
        {
            $pre_precio2=0;
           $sql1=mysqli_query($con,"SELECT * FROM combos_articulos where combos_com_id='$eti_art_id'");
            while($row1=mysqli_fetch_array($sql1))
            {
                $coma_art_id=$row1['coma_art_id'];
                $coma_art_cantidad=$row1['coma_art_cantidad'];
                $coma_art_precio=$row1['coma_art_precio'];
                $art_pvp=$coma_art_precio*$coma_art_cantidad;
                
                $pre_precio2+=$art_pvp;//Sumador
            }
        }  

        /*$sql_pre=mysqli_query($con, "SELECT * from precio WHERE
          articulos_art_id='$eti_art_id' and tarifas_tar_id='$tar_id' and
          empresa='$empresa' "); $rw_pre= mysqli_fetch_array
          ($sql_pre); $pre_precio=$rw_pre['pre_precio'];*/

         if ($nombre_emp==null) {
           $sql_emp=mysqli_query($con, "SELECT *,LEFT(emp_nombre,22) as emp_nombre from empresa WHERE emp_id='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_emp);
            $emp_nombre=$rw_pre['emp_nombre']; 
        } else {
           $sql_emp=mysqli_query($con, "SELECT *,LEFT(nombre_emp,22) as nombre_emp from codigo_barras WHERE empresa='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_emp);
            $emp_nombre=$rw_pre['nombre_emp']; 
        } 
  

        $number = $eti_cantidad;  
          if($number > 0)  
            {  
                for($i=0; $i<$number; $i++)  
                {  ?>
                    <div id="divid">

                        <?php if ($nombre=='si') { ?>
                        <div style="margin-top: 2px;">
                            <strong style="font-size:7px;" > <?php echo strtoupper($emp_nombre);  ?> </strong>
                        </div>
                        <?php } else { ?>
                        <div>
                            <strong style="font-size:3px;"> &nbsp; </strong> 
                        </div> 
                        <?php } ?>
                        <div>
                            <strong style="font-size:6px;"> <?php echo $eti_nombre; ?> </strong>
                        </div>
                        <div style="padding-left:1mm;padding-right:1mm;padding-top:0.2mm;"> 
                            <svg id='<?php echo "barcode".str_replace(' ', '',$eti_barras); ?>'>
                        </div>
                        <div> 
                            <strong style="font-size:9px;"> <?php echo $eti_barras; ?> </strong> 
                        </div>
                        <?php if ($precio=='si') { ?>
                        <div>
                            <?php if ($tipo=='articulos') { ?>
                            <strong style="font-size:8px;"> $: <?php echo number_format($pre_precio,0); ?> </strong> 
                        <?php } else { ?>
                            <strong style="font-size:8px;"> $: <?php echo number_format($pre_precio2,0); ?> </strong> 
                        <?php } ?> 
                        </div>
                        <?php } else { ?>
                        <div>
                            <strong style="font-size:8px;"> &nbsp; </strong> 
                        </div> 
                        <?php } ?>
                        <?php if ($texto_adicional=='si') { ?>
                        <div>
                            <strong style="font-size:8px;"><?php echo strtoupper($texto); ?> </strong>
                           
                        </div>
                        <?php } else { ?>
                        <div>
                            <strong style="font-size:8px;"> &nbsp; </strong> 
                        </div> 
                        <?php } ?>  
                    </div>
<?php               }     
            } 
        }
} 
?>
<script type="text/javascript">
$(window).load(function()
{
   window.print();
});

</script>
<script type="text/javascript">

function arrayjsonbarcode(j){
    json=JSON.parse(j);
    arr=[];
    for (var x in json) {
        arr.push(json[x]);
    }
    return arr;
}

jsonvalor='<?php echo json_encode($codbarra) ?>';
valores=arrayjsonbarcode(jsonvalor);

for (var i = 0; i < valores.length; i++) {
    JsBarcode("#barcode" + valores[i], valores[i].toString(), {
        format: "code128",
        lineColor: "#000",
        width: 0.95,
        height: 20,
        displayValue: true,
    });
}
</script>
</body>
</html> 
<?php
}
else
{
    echo '<script>alert("primero debes Iniciar Cesion para ver esta pagina")</script>';
    echo '<script>location.href = "index.php";</script>';
}
?>